Can I play Trails of Cold Steel on a hacked Vita?

Discussion in 'PS Vita - Hacking & Homebrew' started by TwilightWarrior, Jun 21, 2016.

  1. TwilightWarrior
    OP

    TwilightWarrior GBATEMP'S Official Boss

    Member
    539
    89
    Jun 3, 2013
    Canada
    In front of my 3DS
    I have TNV on my Vita version 3.51, I just bought trails of cold steel during the E3 sale. I read somewhere after that you can't play games on a a low version vita that were released when a higher version was out, is this true? Did I just waste my money? Will it not work even if I transfer from my PS3? Any way to pass this situation?
     


  2. Nirmonculus

    Nirmonculus GBAtemp Advanced Fan

    Member
    675
    147
    Nov 4, 2014
    If it's a cart it will ask for a system update if your firmware is lower than what game asks for. If it is asking for 3.55 or 3.52 I think you can update and keep your TN-V.

    Not sure how it works if you transfer it from ps3...
     
  3. cearp

    cearp the ticket master

    Member
    7,512
    4,746
    May 26, 2008
    Tuvalu
    check what fw requirement that game has.
    if it is above your 3.51, then you can't play it unless you update.
    i think i read the game you want to play needs 3.55, at least the european version does.
    http://wololo.net/talk/viewtopic.php?f=50&t=14537

    whether you digitally transfer or have the cart, you will still need the required firmware.
    the only difference is that the cart will contain the update (i think) but if you use a digital copy, you will have to update via online.
     
    Last edited by cearp, Jun 21, 2016
  4. flavio

    flavio Advanced Member

    Newcomer
    86
    7
    Nov 12, 2015
    Brazil
    acreanus
    Is there any chance to get homebrew for vita in 3.57 ? At least vhbl ! If not I already have a destiny for him !
    [​IMG]
    :evil:
     
  5. TwilightWarrior
    OP

    TwilightWarrior GBATEMP'S Official Boss

    Member
    539
    89
    Jun 3, 2013
    Canada
    In front of my 3DS
    but how do I update it just to 3.55 and not the latest firmware? What if I update to the latest firmware?
     
  6. Voxel

    Voxel Fable Junkie

    Member
    GBAtemp Patron
    Voxel is a Patron of GBAtemp and is helping us stay independent!

    Our Patreon
    5,195
    5,885
    Jun 27, 2015
    United Kingdom
    England, UK
    Don't update to 3.55! With so many hacks you will lose out on, and with potential Vita piracy around the corner, you will most likely regret the decision you made, and waste another $90-100 on another lower-FW Vita!

    If you are looking to manually update your Vita (NOT to 3.55), head over to the first part of this tutorial, where you can use PS3.ProxyServer.GUI to replace the latest update file with your own desired update file.

    Obviously, it's your choice though, whether you want to update to >3.55 and play your cartridges that require that, but I'm just making a few points you might want to consider before really committing to the update!
     
    Last edited by Voxel, Jun 21, 2016
  7. TwilightWarrior
    OP

    TwilightWarrior GBATEMP'S Official Boss

    Member
    539
    89
    Jun 3, 2013
    Canada
    In front of my 3DS
    Thanks! Which notable hacks will I miss out on? I only really care about TNV lol
     
  8. Voxel

    Voxel Fable Junkie

    Member
    GBAtemp Patron
    Voxel is a Patron of GBAtemp and is helping us stay independent!

    Our Patreon
    5,195
    5,885
    Jun 27, 2015
    United Kingdom
    England, UK
    Well if you are on 3.51 or below at the moment, you will miss out on the Rejuvenate hack. Also, you will miss out on custom theme installation, game backup installation, registry hacking, memory card dumper, and especially the email exploit!
    Suprisingly, the most notable thing you can still do on a 3.55 Vita is dump files, but that requires making use of the calendar app as well as the email app.
     
  9. TwilightWarrior
    OP

    TwilightWarrior GBATEMP'S Official Boss

    Member
    539
    89
    Jun 3, 2013
    Canada
    In front of my 3DS
    But I've already done the email hack, thats how I got TNV on my vita
     
  10. Voxel

    Voxel Fable Junkie

    Member
    GBAtemp Patron
    Voxel is a Patron of GBAtemp and is helping us stay independent!

    Our Patreon
    5,195
    5,885
    Jun 27, 2015
    United Kingdom
    England, UK
    Email hack is essential for almost all exploits and hacks, and future exploits to come which require writing files to accessible parts of the Vita's NAND filesystem, as well as the memory card. :teach:
     
  11. TwilightWarrior
    OP

    TwilightWarrior GBATEMP'S Official Boss

    Member
    539
    89
    Jun 3, 2013
    Canada
    In front of my 3DS
    Oh I see, but us there any way to play trails of steel otherwise
     
  12. Voxel

    Voxel Fable Junkie

    Member
    GBAtemp Patron
    Voxel is a Patron of GBAtemp and is helping us stay independent!

    Our Patreon
    5,195
    5,885
    Jun 27, 2015
    United Kingdom
    England, UK
    eek! According to external sources, that game requires 3.55 to start the game! :C
    However, if TN-V is the only thing you really need for your Vita, go ahead and manually update to 3.55! :)
     
  13. TwilightWarrior
    OP

    TwilightWarrior GBATEMP'S Official Boss

    Member
    539
    89
    Jun 3, 2013
    Canada
    In front of my 3DS
    Oh I see thank you, but you said not to update to 3.55 before? lol
     
  14. Voxel

    Voxel Fable Junkie

    Member
    GBAtemp Patron
    Voxel is a Patron of GBAtemp and is helping us stay independent!

    Our Patreon
    5,195
    5,885
    Jun 27, 2015
    United Kingdom
    England, UK
    That's because I was warning you of the things you will miss out on if you update to 3.55! :P
    But then you said TN-V is really the only thing you cared about, so it's only logical that you update the Vita to 3.55 to play Trails of Cold Steel as well as keep TN-V; all if you so wish
     
  15. TwilightWarrior
    OP

    TwilightWarrior GBATEMP'S Official Boss

    Member
    539
    89
    Jun 3, 2013
    Canada
    In front of my 3DS
    I see, thank you! What if I update to the latest firmware, will TNV still work?
     
  16. Voxel

    Voxel Fable Junkie

    Member
    GBAtemp Patron
    Voxel is a Patron of GBAtemp and is helping us stay independent!

    Our Patreon
    5,195
    5,885
    Jun 27, 2015
    United Kingdom
    England, UK
    Latest firmware (3.60) Blocks TN-V and ARK, leaving VHBL (PSP homebrew loader only) the only working loader for the time being.
     
  17. TwilightWarrior
    OP

    TwilightWarrior GBATEMP'S Official Boss

    Member
    539
    89
    Jun 3, 2013
    Canada
    In front of my 3DS
    Also, I tried transferring the game from my ps3, when I start it, it
    Oh I see, thank you. 3.55 is. Will all upcoming games require 3.60 though?
     
  18. Voxel

    Voxel Fable Junkie

    Member
    GBAtemp Patron
    Voxel is a Patron of GBAtemp and is helping us stay independent!

    Our Patreon
    5,195
    5,885
    Jun 27, 2015
    United Kingdom
    England, UK
    Unfortunately, it will look that way.
    But perhaps you may consider a PSTV for the latest firmware and your games, and keep the Vita for hacks such as TN-V? (they are getting dirt-cheap by the month; I hear you can get them as low as $20 in some sales now!)
     
  19. vayanui8

    vayanui8 GBAtemp Maniac

    Member
    1,086
    936
    Nov 11, 2013
    United States
    Trails of Cold Steel is one of the best games on the vita. I hope you enjoy it
     
  20. TwilightWarrior
    OP

    TwilightWarrior GBATEMP'S Official Boss

    Member
    539
    89
    Jun 3, 2013
    Canada
    In front of my 3DS
    oh true, thats actually a really good idea, thaks

    I Hope I do too :D